commit:     2d54b4f1d6d33aed52a34833da2f0a24bceaf3ca
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Jun 22 15:33:09 2025 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Jun 22 15:33:09 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2d54b4f1

sci-libs/htslib: add 1.22

Signed-off-by: David Seifert <soap <AT> gentoo.org>

 sci-libs/htslib/Manifest           |  1 +
 sci-libs/htslib/htslib-1.22.ebuild | 53 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 54 insertions(+)

diff --git a/sci-libs/htslib/Manifest b/sci-libs/htslib/Manifest
index 8215cd38be6b..01244e0836c6 100644
--- a/sci-libs/htslib/Manifest
+++ b/sci-libs/htslib/Manifest
@@ -1,3 +1,4 @@
 DIST htslib-1.19.1.tar.bz2 4775086 BLAKE2B 
3af6770ade9505a3c71f6d522c0971eb77ea2549670043a539a2a4681e583554dc154b9b9fb33f1faa94be336a09945a28c57aa4bcfe0f39b03dd7585c49269a
 SHA512 
a40de47ecae68756c158c1c7b578fa2a5c13bf6f98626e863af31a20d7880ffd415d966280c00bfe726f496d913eb0fcf014dd4beb8c1dbe36ed9735a48bd01e
 DIST htslib-1.20.tar.bz2 4779028 BLAKE2B 
def7a135f37a4c7a167ada554b92b0e0107ab3dcbdab69abdea387035159f40fb183477275c137b0d786fdfc7264303898f98c54acb1714f9b7cb21e22612143
 SHA512 
a156f5c895fdae77f976f463a2d4d1111dc056893ef45b7e9cf62e9115898bc8cb47465bb1779e534c26943df478892385d44646e97bd0fa67fceb83ef7a649b
 DIST htslib-1.21.tar.bz2 4781943 BLAKE2B 
7bbf62021a48503922a459ee18280d1e4af03247f31ef7de204f26a9f5526e8f49253301d6546149985bec93ca262ab8668e73f6b4b6f3c84e70665a66cb59bb
 SHA512 
4989d9fd3702893d2b275e6de593a2109a0ebd10c0329ddca82cd3d53893a93197b9ca9f3756c480c88dc345e14527b1a540810089a480d839814e018a736bee
+DIST htslib-1.22.tar.bz2 4830206 BLAKE2B 
d37cad1d2c1d764fb98af7aae6f3b40c6e0458b1a89d3430dc28e9084497f949d7eca632fda45ef12655488fbeffefdce6975b3dced935703981acc4f0a902e7
 SHA512 
6721a398c285cdb14d879c00f13da425c1d84f75e8a3a5fb04db4f3f875b60122317651d54634c62f302b397026c98c2b4e190c1ae3ebcc2f0ecde8307223375

diff --git a/sci-libs/htslib/htslib-1.22.ebuild 
b/sci-libs/htslib/htslib-1.22.ebuild
new file mode 100644
index 000000000000..107cddb7ffa3
--- /dev/null
+++ b/sci-libs/htslib/htslib-1.22.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit toolchain-funcs
+
+DESCRIPTION="C library for high-throughput sequencing data formats"
+HOMEPAGE="http://www.htslib.org/";
+SRC_URI="https://github.com/samtools/${PN}/releases/download/${PV}/${P}.tar.bz2";
+
+LICENSE="MIT"
+SLOT="0/3"
+KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="+bzip2 curl +lzma"
+
+RDEPEND="
+       sys-libs/zlib
+       bzip2? ( app-arch/bzip2 )
+       curl? ( net-misc/curl )
+       lzma? ( app-arch/xz-utils )"
+DEPEND="${RDEPEND}"
+
+src_prepare() {
+       default
+
+       # upstream injects LDFLAGS into the .pc file,
+       # which is a big nono for QA
+       sed -e '/^\(static_l\|Libs.private\|Requires.private\)/d' \
+               -i htslib.pc.in || die
+}
+
+src_configure() {
+       econf \
+               --disable-gcs \
+               --disable-plugins \
+               --disable-ref-cache \
+               --disable-s3 \
+               $(use_enable bzip2 bz2) \
+               $(use_enable curl libcurl) \
+               $(use_enable lzma)
+}
+
+src_compile() {
+       emake AR="$(tc-getAR)"
+}
+
+src_install() {
+       default
+
+       # doesn't use libtool, can't disable static libraries
+       find "${ED}" -name '*.a' -delete || die
+}

Reply via email to